Set the cluster default deployment engine
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/default-deployment-engine"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/default-deployment-engine', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/default-deployment-engine \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_deployment_engine": "ankra_native"
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Imported Clusters
Set the cluster default deployment engine
The bearer twin of the portal’s deployment engine switch, for the Ankra app and scripts. Sets the engine new add-ons deploy with. Moving from argo_cd to ankra_native directly is refused with 409 while add-ons still run on ArgoCD: decommission ArgoCD first (POST .../decommission-argocd). Moving back to argo_cd is refused with 409. Requires clusters.write on the cluster.
PUT
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
default-deployment-engine
Set the cluster default deployment engine
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/default-deployment-engine"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/default-deployment-engine', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/default-deployment-engine \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_deployment_engine": "ankra_native"
}{
"detail": "Cluster not found"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}